> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test webhook

> Sends a test payload to a project webhook URL to verify delivery.



## OpenAPI

````yaml post /projects/{project_id}/webhooks/test
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/webhooks/test:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    post:
      tags:
        - Webhooks
      summary: Test webhook
      description: Sends a test payload to a project webhook URL to verify delivery.
      operationId: projects/webhooks#test
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyProjectWebhookTest'
            examples:
              example:
                $ref: '#/components/examples/requestProjectWebhookTestExample'
      responses:
        '200':
          description: OK
      security:
        - apiKey: []
components:
  schemas:
    requestBodyProjectWebhookTest:
      type: object
      properties:
        url:
          type: string
          description: >-
            The URL that BeyondWords will send webhook notifications to. This
            URL must be served over HTTPS
        headers:
          type: object
  examples:
    requestProjectWebhookTestExample:
      summary: Sample webhook test request
      value:
        url: https://new_example.com/
        headers:
          Authorization: Bearer xxxxxx
          X-My-Custom-Header-Y: yyyyyy
          X-My-Custom-Header-Z: zzzzzz
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````